## org.apache.tools.ant.util
Class CollectionUtils

    java.lang.Object
      |
      +--org.apache.tools.ant.util.CollectionUtils

public class CollectionUtils
extends java.lang.Object

A set of helper methods related to collection manipulation.

Since:
  Ant 1.5
Author:
  Stefan Bodewig

Constructor Summary
`CollectionUtils()`

Method Summary
`static boolean` `equals(java.util.Dictionary d1, java.util.Dictionary d2)` Hashtable.equals() doesn't do any good in 1.1
`static boolean` `equals(java.util.Vector v1, java.util.Vector v2)` Vector.equals() doesn't do any good in 1.1

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils

    public CollectionUtils()

Method Detail

### equals

    public static boolean equals(java.util.Vector v1,
                                 java.util.Vector v2)

  Vector.equals() doesn't do any good in 1.1

  Since:
    Ant 1.5

### equals

    public static boolean equals(java.util.Dictionary d1,
                                 java.util.Dictionary d2)

  Hashtable.equals() doesn't do any good in 1.1

  Follows the equals contract of Java 2's Map.

  Since:
    Ant 1.5

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.